<?php
namespace Mirasvit\SeoContent\Block\Adminhtml\Template\Preview;

/**
 * Interceptor class for @see \Mirasvit\SeoContent\Block\Adminhtml\Template\Preview
 */
class Interceptor extends \Mirasvit\SeoContent\Block\Adminhtml\Template\Preview implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoContent\Ui\Template\Source\RuleTypeSource $ruleTypeSource, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($ruleTypeSource, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
